Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Transfer.Status

    java.lang.Object
      java.lang.Enum<Transfer.Status>
          com.skype.api.Transfer.Status

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Transfer.Status>

Enclosing class:
  Transfer

    public static enum Transfer.Status

extends java.lang.Enum<Transfer.Status>
implements EnumConverting

Recognized values for the P_STATUS property. Reflects current state of this Transfer.

Enum Constant Summary
`CANCELLED` Local side (either sender or receiver) has canceled the transfer.
`CANCELLED_BY_REMOTE` Remote side (either sender or receiver) has canceled the transfer.
`COMPLETED` File transfer has completed.
`CONNECTING` A temporary state that transitions either into TRANSFERRING (relayed or direct) or to FAILED.
`FAILED` File transfer has failed.
`NEW` The file has either not been posted (sent) (OUTGOING), or not accepted (received) (INCOMING).
`OFFER_FROM_OTHER_INSTANCE` Outgoing transfer object from another instance of the same account as current local login, running on another system.
`PAUSED` The local user (either the sender or a receiver) has paused the transfer.
`PLACEHOLDER` Transfer whose existence has been hinted by corresponding chat message, but which is yet to arrive.
`REMOTELY_PAUSED` A remote user has paused the transfer.
`TRANSFERRING` The transfer has been accepted and file data is being sent/received.
`TRANSFERRING_OVER_RELAY` The transfer has been accepted and file data is being sent/received but is going over at least one relay.
`WAITING_FOR_ACCEPT` The files have been posted but the recipient has not yet accepted (or has declined) the transfer.

Field Summary
`static int` | `CANCELLED_BY_REMOTE_VALUE`
`static int` | `CANCELLED_VALUE`
`static int` | `COMPLETED_VALUE`
`static int` | `CONNECTING_VALUE`
`static int` | `FAILED_VALUE`
`static int` | `NEW_VALUE`
`static int` | `OFFER_FROM_OTHER_INSTANCE_VALUE`
`static int` | `PAUSED_VALUE`
`static int` | `PLACEHOLDER_VALUE`
`static int` | `REMOTELY_PAUSED_VALUE`
`static int` | `TRANSFERRING_OVER_RELAY_VALUE`
`static int` | `TRANSFERRING_VALUE`
`static int` | `WAITING_FOR_ACCEPT_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Transfer.Status` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Transfer.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Transfer.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEW

    public static final Transfer.Status NEW

  The file has either not been posted (sent) (OUTGOING), or not accepted (received) (INCOMING).

### CONNECTING

    public static final Transfer.Status CONNECTING

  A temporary state that transitions either into TRANSFERRING (relayed or direct) or to FAILED. For unknown reasons, outgoing transfers tend go into this state twice - immediately before the actual data transfer starts and immediately after it ends.

### WAITING_FOR_ACCEPT

    public static final Transfer.Status WAITING_FOR_ACCEPT

  The files have been posted but the recipient has not yet accepted (or has declined) the transfer.

### TRANSFERRING

    public static final Transfer.Status TRANSFERRING

  The transfer has been accepted and file data is being sent/received. Periodic updates of P_BYTESTRANSFERRED property should occur.

### TRANSFERRING_OVER_RELAY

    public static final Transfer.Status TRANSFERRING_OVER_RELAY

  The transfer has been accepted and file data is being sent/received but is going over at least one relay. Since relayed transfers tend to be significantly slower than direct transfers, you might want to differentiate the two in your UI and notify the user that relayed transfer typically take significantly longer to finish.

### PAUSED

    public static final Transfer.Status PAUSED

  The local user (either the sender or a receiver) has paused the transfer.

### REMOTELY_PAUSED

    public static final Transfer.Status REMOTELY_PAUSED

  A remote user has paused the transfer. For senders, a receiver has paused the transfer; for receivers, the sender has paused the transfer.

### CANCELLED

    public static final Transfer.Status CANCELLED

  Local side (either sender or receiver) has canceled the transfer. This is a final state of the STATE property.

### COMPLETED

    public static final Transfer.Status COMPLETED

  File transfer has completed. This is a terminal state.

### FAILED

    public static final Transfer.Status FAILED

  File transfer has failed. This is a terminal state. UI should provide feedback, based on value of P_FAILUREREASON.

### PLACEHOLDER

    public static final Transfer.Status PLACEHOLDER

  Transfer whose existence has been hinted by corresponding chat message, but which is yet to arrive.

### OFFER_FROM_OTHER_INSTANCE

    public static final Transfer.Status OFFER_FROM_OTHER_INSTANCE

  Outgoing transfer object from another instance of the same account as current local login, running on another system. Hinted through chat message - only implies an offer was made; not necessarily accepted, failed, or completed.

### CANCELLED_BY_REMOTE

    public static final Transfer.Status CANCELLED_BY_REMOTE

  Remote side (either sender or receiver) has canceled the transfer. This is a final state of the STATE property.

Field Detail

### NEW_VALUE

    public static final int NEW_VALUE

See Also:
  Constant Field Values

### CONNECTING_VALUE

    public static final int CONNECTING_VALUE

See Also:
  Constant Field Values

### WAITING_FOR_ACCEPT_VALUE

    public static final int WAITING_FOR_ACCEPT_VALUE

See Also:
  Constant Field Values

### TRANSFERRING_VALUE

    public static final int TRANSFERRING_VALUE

See Also:
  Constant Field Values

### TRANSFERRING_OVER_RELAY_VALUE

    public static final int TRANSFERRING_OVER_RELAY_VALUE

See Also:
  Constant Field Values

### PAUSED_VALUE

    public static final int PAUSED_VALUE

See Also:
  Constant Field Values

### REMOTELY_PAUSED_VALUE

    public static final int REMOTELY_PAUSED_VALUE

See Also:
  Constant Field Values

### CANCELLED_VALUE

    public static final int CANCELLED_VALUE

See Also:
  Constant Field Values

### COMPLETED_VALUE

    public static final int COMPLETED_VALUE

See Also:
  Constant Field Values

### FAILED_VALUE

    public static final int FAILED_VALUE

See Also:
  Constant Field Values

### PLACEHOLDER_VALUE

    public static final int PLACEHOLDER_VALUE

See Also:
  Constant Field Values

### OFFER_FROM_OTHER_INSTANCE_VALUE

    public static final int OFFER_FROM_OTHER_INSTANCE_VALUE

See Also:
  Constant Field Values

### CANCELLED_BY_REMOTE_VALUE

    public static final int CANCELLED_BY_REMOTE_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Transfer.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Transfer.Status c : Transfer.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Transfer.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Transfer.Status get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.